#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "IFB.h"
#include "tm.h"
#include "ppc.h"

class Scene {
public:

	GUI *gui;
	FrameBuffer *fb, *fb3, *visfb, *oldvisfb;
	FrameBuffer *lfb, *rfb, *panofb, *panofb0;
	FrameBuffer *hwfb;

	IFB *ifb;
	PPC *ppc, *ppc3, *visppc, *lppc, *rppc, *panoppc;
	TM *tms;
	int tmsN;
	void Render();
	void Render(PPC *cppc, FrameBuffer *cfb);
	void RenderHW(PPC *cppc, FrameBuffer *cfb);
	Scene();
	void DBG();
	void NewButton();

	V3 L;
	float ka;
	int shadowsOn;
	FrameBuffer *shfb;
	PPC *shppc;


};

extern Scene *scene;